Bug 1475521 - [Wayland] Notification windows are misplaced
[Wayland] Notification windows are misplaced
Status: NEW
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
28
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eric Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-26 16:10 EDT by Christian Stadelmann
Modified: 2018-05-03 08:41 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 517147 None None None 2017-07-27 10:13 EDT

  None (edit)
Description Christian Stadelmann 2017-07-26 16:10:25 EDT
Version-Release number of selected component (if applicable):
eclipse-swt-4.7.0-2.fc26.x86_64
libwayland-client-1.13.0-1.fc26.x86_64
gnome-shell-3.24.3-1.fc26.x86_64
mutter-3.24.4-1.fc26.x86_64
gtk3-3.22.17-2.fc26.x86_64

How reproducible:


Steps to Reproduce:
1. Open eclipse on wayland (with GDK_BACKEND=wayland, which is the default behavior in a gnome/wayland session.
2. wait for a notification to happen (or trigger an eclipse bug to do so).

Actual results:
Notification is displayed on screen, about 200px from top left corner

Expected results:
Notification should be displayed in bottom right corner.

Additional info:
wayland does not support global window positioning, see https://developer.gnome.org/gtk3/stable/GtkWindow.html#gtk-window-get-position
Comment 1 Mat Booth 2017-07-27 05:27:38 EDT
I assume the mylyn notifications suffer from the same problem.

Eric: Can you take a look at this? How should mylyn be placing it's notifications such that it's in the same location whatever the GTK backend, assuming that's even possible?
Comment 2 Christian Stadelmann 2017-07-27 06:20:26 EDT
On wayland, SWT might use a subsurface to position the notification relative to the main window, i.e. bottom right on the window instead of bottom right on the screen.
Comment 3 Eric Williams 2017-07-27 10:13:45 EDT
(In reply to Christian Stadelmann from comment #2)
> On wayland, SWT might use a subsurface to position the notification relative
> to the main window, i.e. bottom right on the window instead of bottom right
> on the screen.

This is correct. Wayland positioning coordinates are not absolute but are relative to the parent window. Right now this is causing some issues in Eclipse such as the splash screen being out of place, and I suspect this bug is another symptom of that as well.

I've added the upstream bug that tracks this issue.
Comment 4 Fedora End Of Life 2018-05-03 04:34:33 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Mat Booth 2018-05-03 08:41:00 EDT
AFAIK this is still a problem.

Note You need to log in before you can comment on or make changes to this bug.